package poisample;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.hssf.usermodel.*;

public class ListServlet extends HttpServlet {
    String[][] sampledata = {
        {"Ȃ","c","勴","4000"},
        {"VbpC","uW","ʂ","3000"},
        {"タ","[","ɕ{","500"}};

    protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
            throws ServletException, IOException {
        String path = getServletContext().getRealPath("/list-template2.xls");
        InputStream is = new FileInputStream(path);
        POIFSFileSystem fs = new POIFSFileSystem(is);
        is.close();
        HSSFWorkbook wb = new HSSFWorkbook(fs);
        HSSFSheet sheet = wb.getSheetAt(0);

        //X^C擾
        HSSFCellStyle[] styles = new HSSFCellStyle[sampledata[0].length];
        HSSFRow row = sheet.getRow((short)3);
        for(short i = 0; i < styles.length; ++i){
            styles[i] = row.getCell(i).getCellStyle();
        }
       
        for(int i = 0; i < sampledata.length; ++i){
            //s쐬
            if(i > 0){
                //2sڈȍ~
                sheet.shiftRows(i + 3,i + 3 ,1);
                row = sheet.createRow(i + 3);
                for(short j = 0; j < sampledata[i].length; ++j) row.createCell(j);
            }
            else{
                //ŏ̃f[^
                row = sheet.getRow(i + 3);
            }
            for(short j = 0; j < sampledata[i].length; ++j){
                HSSFCell cell = row.getCell(j);
                cell.setEncoding(HSSFCell.ENCODING_UTF_16);
                cell.setCellStyle(styles[j]);
                if(j < 3){
                    cell.setCellValue(sampledata[i][j]);
                }else{
                    cell.setCellValue(Integer.parseInt(sampledata[i][j]));
                }
            }
        }
        //ς̌vZ
        row = sheet.getRow(sampledata.length + 3);
        if(row != null){
            HSSFCell cell = row.getCell((short)3);
            if(cell != null){
                String f = "average(d4:d" + (3 + sampledata.length) + ")";
                cell.setCellFormula(f);
            }
        }
        //M
        response.setHeader("Content-Disposition", "attachment;filename=list.xls");
        response.setContentType("application/vnd.ms-excel");
        wb.write(response.getOutputStream());
    }
}
