package poisample;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.hssf.usermodel.*;

public class RyoshuServlet extends HttpServlet {
    protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
            throws ServletException, IOException {
        String path = getServletContext().getRealPath(
            "/xls/ryoshu-template.xls");
        InputStream is = new FileInputStream(path);
        POIFSFileSystem fs = new POIFSFileSystem(is);
        is.close();
        HSSFWorkbook wb = new HSSFWorkbook(fs);
        HSSFSheet sheet = wb.getSheetAt(0);

        HSSFCell cell;

        //
        cell = sheet.getRow((short)3).getCell((short)1);
        cell.setEncoding(HSSFCell.ENCODING_UTF_16);
        cell.setCellValue("]_HXl");

        //t
        cell = sheet.getRow((short)2).getCell((short)5);
        cell.setCellValue(new java.util.Date());

        //z
        cell = sheet.getRow((short)7).getCell((short)1);;
        cell.setCellValue(15000);

        //M
        response.setHeader("Content-Disposition", 
            "attachment;filename=ryoshu.xls");
        response.setContentType("application/vnd.ms-excel");
        wb.write(response.getOutputStream());
    }
}
