package poisample;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.hssf.util.HSSFColor;

public class StyleServlet extends HttpServlet {
    protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
            throws ServletException, IOException {
        HSSFWorkbook wb = new HSSFWorkbook();
        HSSFSheet sheet = wb.createSheet();
        wb.setSheetName(0,"",HSSFWorkbook.ENCODING_UTF_16);

        //Z
        sheet.setColumnWidth((short)0,(short)5120);//140sNZ
        sheet.setColumnWidth((short)1,(short)7680);//210sNZ
        sheet.setColumnWidth((short)2,(short)7680);//210sNZ

        HSSFRow row;
        HSSFCell cell;
        HSSFCellStyle style;
        HSSFFont font;
        //wiEr
        row = sheet.createRow((short)1);
        cell = row.createCell((short)0);
        cell.setEncoding(HSSFCell.ENCODING_UTF_16);
        cell.setCellValue("wiF");
        style = wb.createCellStyle();
        style.setFillForegroundColor(HSSFColor.BRIGHT_GREEN.index);
        style.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
        style.setBorderTop(HSSFCellStyle.BORDER_DOUBLE);
        style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
        cell.setCellStyle(style);

        //t
        cell = row.createCell((short)1);
        cell.setCellValue(new java.util.Date());
        style = wb.createCellStyle();
        style.setDataFormat((short)22);
        cell.setCellStyle(style);

        //tHg
        row = sheet.createRow((short)2);
        String[] fonts = {
            "lr oSVbN","lr o","HGnpp߯ߑ"};
        for(short col = 0; col < 3; ++col){
            cell = row.createCell(col);
            cell.setEncoding(HSSFCell.ENCODING_UTF_16);
            cell.setCellValue(fonts[col]);
            font = wb.createFont();
            font.setFontName(fonts[col]);
            font.setFontHeight((short)320);//16|Cg
            style = wb.createCellStyle();
            style.setFont(font);
            cell.setCellStyle(style);
        }

        //M
        response.setHeader("Content-Disposition", 
            "attachment;filename=style.xls");
        response.setContentType("application/vnd.ms-excel");
        wb.write(response.getOutputStream());
    }
}
